// .ui.xml template last modified: 1458215512000
package org.gcube.portlets.admin.createusers.client.ui;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlUtils;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import com.google.gwt.safehtml.shared.SafeUri;
import com.google.gwt.safehtml.shared.UriUtils;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.user.client.ui.Widget;

public class AddUserForm_AddUserFormUiBinderImpl implements UiBinder<com.google.gwt.user.client.ui.Widget, org.gcube.portlets.admin.createusers.client.ui.AddUserForm>, org.gcube.portlets.admin.createusers.client.ui.AddUserForm.AddUserFormUiBinder {

  interface Template extends SafeHtmlTemplates {
    @Template("Insert User Information <small>* is required</small>")
    SafeHtml html1();
     
    @Template("<font color='red'>*</font> E-mail:")
    SafeHtml html2();
     
    @Template("<span id='{0}'></span>")
    SafeHtml html3(String arg0);
     
    @Template("<font color='red'>*</font> Name:")
    SafeHtml html4();
     
    @Template("<span id='{0}'></span>")
    SafeHtml html5(String arg0);
     
    @Template("<font color='red'>*</font> Surname:")
    SafeHtml html6();
     
    @Template("<span id='{0}'></span>")
    SafeHtml html7(String arg0);
     
    @Template("Company:")
    SafeHtml html8();
     
    @Template("<span id='{0}'></span>")
    SafeHtml html9(String arg0);
     
    @Template("Send mail:")
    SafeHtml html10();
     
    @Template("<span id='{0}'></span>")
    SafeHtml html11(String arg0);
     
    @Template("<span id='{0}'></span>")
    SafeHtml html12(String arg0);
     
    @Template("")
    SafeHtml html13();
     
    @Template("")
    SafeHtml html14();
     
    @Template("<span id='{0}'></span> <span id='{1}'></span> <span id='{2}'></span> <span id='{3}'></span> <span id='{4}'></span> <span id='{5}'></span> <span id='{6}'></span>  <span id='{7}'></span> <span id='{8}'></span> <span id='{9}'></span>        <br> <span id='{10}'></span> <br> <span id='{11}'></span> <span id='{12}'></span>")
    SafeHtml html15(String arg0, String arg1, String arg2, String arg3, String arg4, String arg5, String arg6, String arg7, String arg8, String arg9, String arg10, String arg11, String arg12);
     
    @Template("<span id='{0}'></span>")
    SafeHtml html16(String arg0);
     
  }

  Template template = GWT.create(Template.class);


  public com.google.gwt.user.client.ui.Widget createAndBindUi(final org.gcube.portlets.admin.createusers.client.ui.AddUserForm owner) {


    return new Widgets(owner).get_f_HTMLPanel1();
  }

  /**
   * Encapsulates the access to all inner widgets
   */
  class Widgets {
    private final org.gcube.portlets.admin.createusers.client.ui.AddUserForm owner;


    final com.google.gwt.event.dom.client.ClickHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames1 = new com.google.gwt.event.dom.client.ClickHandler() {
      public void onClick(com.google.gwt.event.dom.client.ClickEvent event) {
        owner.onClick((com.google.gwt.event.dom.client.ClickEvent) event);
      }
    };

    final com.google.gwt.event.dom.client.KeyUpHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames2 = new com.google.gwt.event.dom.client.KeyUpHandler() {
      public void onKeyUp(com.google.gwt.event.dom.client.KeyUpEvent event) {
        owner.onChangeEmailTextbox((com.google.gwt.event.dom.client.KeyUpEvent) event);
      }
    };

    final com.google.gwt.event.dom.client.KeyUpHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames3 = new com.google.gwt.event.dom.client.KeyUpHandler() {
      public void onKeyUp(com.google.gwt.event.dom.client.KeyUpEvent event) {
        owner.onChangeNameTextbox((com.google.gwt.event.dom.client.KeyUpEvent) event);
      }
    };

    final com.google.gwt.event.dom.client.KeyUpHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames4 = new com.google.gwt.event.dom.client.KeyUpHandler() {
      public void onKeyUp(com.google.gwt.event.dom.client.KeyUpEvent event) {
        owner.onChangeSurnameTextbox((com.google.gwt.event.dom.client.KeyUpEvent) event);
      }
    };

    final com.google.gwt.event.dom.client.KeyUpHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames5 = new com.google.gwt.event.dom.client.KeyUpHandler() {
      public void onKeyUp(com.google.gwt.event.dom.client.KeyUpEvent event) {
        owner.onChangeCompanyTextbox((com.google.gwt.event.dom.client.KeyUpEvent) event);
      }
    };

    public Widgets(final org.gcube.portlets.admin.createusers.client.ui.AddUserForm owner) {
      this.owner = owner;
      build_style();  // generated css resource must be always created. Type: GENERATED_CSS. Precedence: 1
      build_domId3();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 6
      build_domId6();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 6
      build_domId9();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 6
      build_domId12();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 6
      build_domId15();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 6
      build_domId17();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 6
      build_domId1();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId2();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId4();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId5();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId7();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId8();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId10();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId11();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId13();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId14();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId16();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId18();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId19();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 5
      build_domId0();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 2
      build_domId3Element();  // more than one getter call detected. Type: DEFAULT, precedence: 6
      build_domId6Element();  // more than one getter call detected. Type: DEFAULT, precedence: 6
      build_domId9Element();  // more than one getter call detected. Type: DEFAULT, precedence: 6
      build_domId12Element();  // more than one getter call detected. Type: DEFAULT, precedence: 6
      build_domId15Element();  // more than one getter call detected. Type: DEFAULT, precedence: 6
      build_domId17Element();  // more than one getter call detected. Type: DEFAULT, precedence: 6
      build_domId1Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId2Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId4Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId5Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId7Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId8Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId10Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId11Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId13Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId14Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId16Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId18Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId19Element();  // more than one getter call detected. Type: DEFAULT, precedence: 5
      build_domId0Element();  // more than one getter call detected. Type: DEFAULT, precedence: 2
    }

    SafeHtml template_html1() {
      return template.html1();
    }
    SafeHtml template_html2() {
      return template.html2();
    }
    SafeHtml template_html3() {
      return template.html3(get_domId3());
    }
    SafeHtml template_html4() {
      return template.html4();
    }
    SafeHtml template_html5() {
      return template.html5(get_domId6());
    }
    SafeHtml template_html6() {
      return template.html6();
    }
    SafeHtml template_html7() {
      return template.html7(get_domId9());
    }
    SafeHtml template_html8() {
      return template.html8();
    }
    SafeHtml template_html9() {
      return template.html9(get_domId12());
    }
    SafeHtml template_html10() {
      return template.html10();
    }
    SafeHtml template_html11() {
      return template.html11(get_domId15());
    }
    SafeHtml template_html12() {
      return template.html12(get_domId17());
    }
    SafeHtml template_html13() {
      return template.html13();
    }
    SafeHtml template_html14() {
      return template.html14();
    }
    SafeHtml template_html15() {
      return template.html15(get_domId1(), get_domId2(), get_domId4(), get_domId5(), get_domId7(), get_domId8(), get_domId10(), get_domId11(), get_domId13(), get_domId14(), get_domId16(), get_domId18(), get_domId19());
    }
    SafeHtml template_html16() {
      return template.html16(get_domId0());
    }

    /**
     * Getter for clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay called 1 times. Type: GENERATED_BUNDLE. Build precedence: 1.
     */
    private org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      return build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay();
    }
    private org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      // Creation section.
      final org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay = (org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle) GWT.create(org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenBundle.class);
      // Setup section.

      return clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay;
    }

    /**
     * Getter for style called 5 times. Type: GENERATED_CSS. Build precedence: 1.
     */
    private org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style style;
    private org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style get_style() {
      return style;
    }
    private org.gcube.portlets.admin.createusers.client.ui.AddUserForm_AddUserFormUiBinderImpl_GenCss_style build_style() {
      // Creation section.
      style = get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay().style();
      // Setup section.
      style.ensureInjected();

      return style;
    }

    /**
     * Getter for f_HTMLPanel1 called 1 times. Type: DEFAULT. Build precedence: 1.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_f_HTMLPanel1() {
      return build_f_HTMLPanel1();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_f_HTMLPanel1() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel f_HTMLPanel1 = new com.google.gwt.user.client.ui.HTMLPanel(template_html16().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_HTMLPanel1.getElement());

        get_domId0Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_HTMLPanel1.addAndReplaceElement(get_form(), get_domId0Element().get());

      return f_HTMLPanel1;
    }

    /**
     * Getter for domId0 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 2.
     */
    private java.lang.String domId0;
    private java.lang.String get_domId0() {
      return domId0;
    }
    private java.lang.String build_domId0() {
      // Creation section.
      domId0 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId0;
    }

    /**
     * Getter for form called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.github.gwtbootstrap.client.ui.Form get_form() {
      return build_form();
    }
    private com.github.gwtbootstrap.client.ui.Form build_form() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Form form = (com.github.gwtbootstrap.client.ui.Form) GWT.create(com.github.gwtbootstrap.client.ui.Form.class);
      // Setup section.
      form.add(get_f_Fieldset2());
      form.setStyleName("" + get_style().formMainStyle() + "");
      form.setType(com.github.gwtbootstrap.client.ui.constants.FormType.HORIZONTAL);

      this.owner.form = form;

      return form;
    }

    /**
     * Getter for f_Fieldset2 called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.github.gwtbootstrap.client.ui.Fieldset get_f_Fieldset2() {
      return build_f_Fieldset2();
    }
    private com.github.gwtbootstrap.client.ui.Fieldset build_f_Fieldset2() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Fieldset f_Fieldset2 = (com.github.gwtbootstrap.client.ui.Fieldset) GWT.create(com.github.gwtbootstrap.client.ui.Fieldset.class);
      // Setup section.
      f_Fieldset2.add(get_f_Legend3());
      f_Fieldset2.add(get_f_ControlGroup4());
      f_Fieldset2.setStyleName("" + get_style().fieldsetBorderStyle() + "");

      return f_Fieldset2;
    }

    /**
     * Getter for f_Legend3 called 1 times. Type: DEFAULT. Build precedence: 4.
     */
    private com.github.gwtbootstrap.client.ui.Legend get_f_Legend3() {
      return build_f_Legend3();
    }
    private com.github.gwtbootstrap.client.ui.Legend build_f_Legend3() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Legend f_Legend3 = new com.github.gwtbootstrap.client.ui.Legend(template_html1().asString());
      // Setup section.
      f_Legend3.setStyleName("" + get_style().legendStyle() + "");

      return f_Legend3;
    }

    /**
     * Getter for f_ControlGroup4 called 1 times. Type: DEFAULT. Build precedence: 4.
     */
    private com.github.gwtbootstrap.client.ui.ControlGroup get_f_ControlGroup4() {
      return build_f_ControlGroup4();
    }
    private com.github.gwtbootstrap.client.ui.ControlGroup build_f_ControlGroup4() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.ControlGroup f_ControlGroup4 = new com.github.gwtbootstrap.client.ui.ControlGroup(template_html15().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_ControlGroup4.getElement());

        get_domId1Element().get();
        get_domId2Element().get();
        get_domId4Element().get();
        get_domId5Element().get();
        get_domId7Element().get();
        get_domId8Element().get();
        get_domId10Element().get();
        get_domId11Element().get();
        get_domId13Element().get();
        get_domId14Element().get();
        get_domId16Element().get();
        get_domId18Element().get();
        get_domId19Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_ControlGroup4.addAndReplaceElement(get_f_ControlLabel5(), get_domId1Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_Controls6(), get_domId2Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_ControlLabel7(), get_domId4Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_Controls8(), get_domId5Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_ControlLabel9(), get_domId7Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_Controls10(), get_domId8Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_ControlLabel11(), get_domId10Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_Controls12(), get_domId11Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_ControlLabel13(), get_domId13Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_Controls14(), get_domId14Element().get());
      f_ControlGroup4.addAndReplaceElement(get_f_Controls15(), get_domId16Element().get());
      f_ControlGroup4.addAndReplaceElement(get_errorBlock(), get_domId18Element().get());
      f_ControlGroup4.addAndReplaceElement(get_successBlock(), get_domId19Element().get());

      return f_ControlGroup4;
    }

    /**
     * Getter for domId1 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId1;
    private java.lang.String get_domId1() {
      return domId1;
    }
    private java.lang.String build_domId1() {
      // Creation section.
      domId1 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId1;
    }

    /**
     * Getter for f_ControlLabel5 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.ControlLabel get_f_ControlLabel5() {
      return build_f_ControlLabel5();
    }
    private com.github.gwtbootstrap.client.ui.ControlLabel build_f_ControlLabel5() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.ControlLabel f_ControlLabel5 = new com.github.gwtbootstrap.client.ui.ControlLabel(template_html2().asString());
      // Setup section.
      f_ControlLabel5.setTitle("User's email");
      f_ControlLabel5.setFor("email");

      return f_ControlLabel5;
    }

    /**
     * Getter for domId1Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId1Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId1Element() {
      return domId1Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId1Element() {
      // Creation section.
      domId1Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId1());
      // Setup section.

      return domId1Element;
    }

    /**
     * Getter for domId2 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId2;
    private java.lang.String get_domId2() {
      return domId2;
    }
    private java.lang.String build_domId2() {
      // Creation section.
      domId2 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId2;
    }

    /**
     * Getter for f_Controls6 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.Controls get_f_Controls6() {
      return build_f_Controls6();
    }
    private com.github.gwtbootstrap.client.ui.Controls build_f_Controls6() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Controls f_Controls6 = new com.github.gwtbootstrap.client.ui.Controls(template_html3().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Controls6.getElement());

        get_domId3Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Controls6.addAndReplaceElement(get_emailTextbox(), get_domId3Element().get());

      return f_Controls6;
    }

    /**
     * Getter for domId3 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 6.
     */
    private java.lang.String domId3;
    private java.lang.String get_domId3() {
      return domId3;
    }
    private java.lang.String build_domId3() {
      // Creation section.
      domId3 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId3;
    }

    /**
     * Getter for emailTextbox called 1 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.github.gwtbootstrap.client.ui.TextBox get_emailTextbox() {
      return build_emailTextbox();
    }
    private com.github.gwtbootstrap.client.ui.TextBox build_emailTextbox() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.TextBox emailTextbox = (com.github.gwtbootstrap.client.ui.TextBox) GWT.create(com.github.gwtbootstrap.client.ui.TextBox.class);
      // Setup section.
      emailTextbox.setId("email");
      emailTextbox.setTitle("User's email");
      emailTextbox.setAlternateSize(com.github.gwtbootstrap.client.ui.constants.AlternateSize.LARGE);
      emailTextbox.setPlaceholder("E-mail");
      emailTextbox.addKeyUpHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames2);

      this.owner.emailTextbox = emailTextbox;

      return emailTextbox;
    }

    /**
     * Getter for domId3Element called 2 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId3Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId3Element() {
      return domId3Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId3Element() {
      // Creation section.
      domId3Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId3());
      // Setup section.

      return domId3Element;
    }

    /**
     * Getter for domId2Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId2Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId2Element() {
      return domId2Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId2Element() {
      // Creation section.
      domId2Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId2());
      // Setup section.

      return domId2Element;
    }

    /**
     * Getter for domId4 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId4;
    private java.lang.String get_domId4() {
      return domId4;
    }
    private java.lang.String build_domId4() {
      // Creation section.
      domId4 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId4;
    }

    /**
     * Getter for f_ControlLabel7 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.ControlLabel get_f_ControlLabel7() {
      return build_f_ControlLabel7();
    }
    private com.github.gwtbootstrap.client.ui.ControlLabel build_f_ControlLabel7() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.ControlLabel f_ControlLabel7 = new com.github.gwtbootstrap.client.ui.ControlLabel(template_html4().asString());
      // Setup section.
      f_ControlLabel7.setTitle("User's name");
      f_ControlLabel7.setFor("name");

      return f_ControlLabel7;
    }

    /**
     * Getter for domId4Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId4Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId4Element() {
      return domId4Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId4Element() {
      // Creation section.
      domId4Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId4());
      // Setup section.

      return domId4Element;
    }

    /**
     * Getter for domId5 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId5;
    private java.lang.String get_domId5() {
      return domId5;
    }
    private java.lang.String build_domId5() {
      // Creation section.
      domId5 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId5;
    }

    /**
     * Getter for f_Controls8 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.Controls get_f_Controls8() {
      return build_f_Controls8();
    }
    private com.github.gwtbootstrap.client.ui.Controls build_f_Controls8() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Controls f_Controls8 = new com.github.gwtbootstrap.client.ui.Controls(template_html5().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Controls8.getElement());

        get_domId6Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Controls8.addAndReplaceElement(get_nameTextbox(), get_domId6Element().get());

      return f_Controls8;
    }

    /**
     * Getter for domId6 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 6.
     */
    private java.lang.String domId6;
    private java.lang.String get_domId6() {
      return domId6;
    }
    private java.lang.String build_domId6() {
      // Creation section.
      domId6 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId6;
    }

    /**
     * Getter for nameTextbox called 1 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.github.gwtbootstrap.client.ui.TextBox get_nameTextbox() {
      return build_nameTextbox();
    }
    private com.github.gwtbootstrap.client.ui.TextBox build_nameTextbox() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.TextBox nameTextbox = (com.github.gwtbootstrap.client.ui.TextBox) GWT.create(com.github.gwtbootstrap.client.ui.TextBox.class);
      // Setup section.
      nameTextbox.setId("name");
      nameTextbox.setTitle("User's name");
      nameTextbox.setAlternateSize(com.github.gwtbootstrap.client.ui.constants.AlternateSize.LARGE);
      nameTextbox.setPlaceholder("Name");
      nameTextbox.addKeyUpHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames3);

      this.owner.nameTextbox = nameTextbox;

      return nameTextbox;
    }

    /**
     * Getter for domId6Element called 2 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId6Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId6Element() {
      return domId6Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId6Element() {
      // Creation section.
      domId6Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId6());
      // Setup section.

      return domId6Element;
    }

    /**
     * Getter for domId5Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId5Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId5Element() {
      return domId5Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId5Element() {
      // Creation section.
      domId5Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId5());
      // Setup section.

      return domId5Element;
    }

    /**
     * Getter for domId7 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId7;
    private java.lang.String get_domId7() {
      return domId7;
    }
    private java.lang.String build_domId7() {
      // Creation section.
      domId7 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId7;
    }

    /**
     * Getter for f_ControlLabel9 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.ControlLabel get_f_ControlLabel9() {
      return build_f_ControlLabel9();
    }
    private com.github.gwtbootstrap.client.ui.ControlLabel build_f_ControlLabel9() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.ControlLabel f_ControlLabel9 = new com.github.gwtbootstrap.client.ui.ControlLabel(template_html6().asString());
      // Setup section.
      f_ControlLabel9.setTitle("User's surname");
      f_ControlLabel9.setFor("surname");

      return f_ControlLabel9;
    }

    /**
     * Getter for domId7Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId7Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId7Element() {
      return domId7Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId7Element() {
      // Creation section.
      domId7Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId7());
      // Setup section.

      return domId7Element;
    }

    /**
     * Getter for domId8 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId8;
    private java.lang.String get_domId8() {
      return domId8;
    }
    private java.lang.String build_domId8() {
      // Creation section.
      domId8 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId8;
    }

    /**
     * Getter for f_Controls10 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.Controls get_f_Controls10() {
      return build_f_Controls10();
    }
    private com.github.gwtbootstrap.client.ui.Controls build_f_Controls10() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Controls f_Controls10 = new com.github.gwtbootstrap.client.ui.Controls(template_html7().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Controls10.getElement());

        get_domId9Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Controls10.addAndReplaceElement(get_surnameTextbox(), get_domId9Element().get());

      return f_Controls10;
    }

    /**
     * Getter for domId9 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 6.
     */
    private java.lang.String domId9;
    private java.lang.String get_domId9() {
      return domId9;
    }
    private java.lang.String build_domId9() {
      // Creation section.
      domId9 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId9;
    }

    /**
     * Getter for surnameTextbox called 1 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.github.gwtbootstrap.client.ui.TextBox get_surnameTextbox() {
      return build_surnameTextbox();
    }
    private com.github.gwtbootstrap.client.ui.TextBox build_surnameTextbox() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.TextBox surnameTextbox = (com.github.gwtbootstrap.client.ui.TextBox) GWT.create(com.github.gwtbootstrap.client.ui.TextBox.class);
      // Setup section.
      surnameTextbox.setId("surname");
      surnameTextbox.setTitle("User's surname");
      surnameTextbox.setAlternateSize(com.github.gwtbootstrap.client.ui.constants.AlternateSize.LARGE);
      surnameTextbox.setPlaceholder("Surname");
      surnameTextbox.addKeyUpHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames4);

      this.owner.surnameTextbox = surnameTextbox;

      return surnameTextbox;
    }

    /**
     * Getter for domId9Element called 2 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId9Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId9Element() {
      return domId9Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId9Element() {
      // Creation section.
      domId9Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId9());
      // Setup section.

      return domId9Element;
    }

    /**
     * Getter for domId8Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId8Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId8Element() {
      return domId8Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId8Element() {
      // Creation section.
      domId8Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId8());
      // Setup section.

      return domId8Element;
    }

    /**
     * Getter for domId10 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId10;
    private java.lang.String get_domId10() {
      return domId10;
    }
    private java.lang.String build_domId10() {
      // Creation section.
      domId10 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId10;
    }

    /**
     * Getter for f_ControlLabel11 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.ControlLabel get_f_ControlLabel11() {
      return build_f_ControlLabel11();
    }
    private com.github.gwtbootstrap.client.ui.ControlLabel build_f_ControlLabel11() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.ControlLabel f_ControlLabel11 = new com.github.gwtbootstrap.client.ui.ControlLabel(template_html8().asString());
      // Setup section.
      f_ControlLabel11.setTitle("User's company");
      f_ControlLabel11.setFor("company");

      return f_ControlLabel11;
    }

    /**
     * Getter for domId10Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId10Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId10Element() {
      return domId10Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId10Element() {
      // Creation section.
      domId10Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId10());
      // Setup section.

      return domId10Element;
    }

    /**
     * Getter for domId11 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId11;
    private java.lang.String get_domId11() {
      return domId11;
    }
    private java.lang.String build_domId11() {
      // Creation section.
      domId11 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId11;
    }

    /**
     * Getter for f_Controls12 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.Controls get_f_Controls12() {
      return build_f_Controls12();
    }
    private com.github.gwtbootstrap.client.ui.Controls build_f_Controls12() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Controls f_Controls12 = new com.github.gwtbootstrap.client.ui.Controls(template_html9().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Controls12.getElement());

        get_domId12Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Controls12.addAndReplaceElement(get_companyTextbox(), get_domId12Element().get());

      return f_Controls12;
    }

    /**
     * Getter for domId12 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 6.
     */
    private java.lang.String domId12;
    private java.lang.String get_domId12() {
      return domId12;
    }
    private java.lang.String build_domId12() {
      // Creation section.
      domId12 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId12;
    }

    /**
     * Getter for companyTextbox called 1 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.github.gwtbootstrap.client.ui.TextBox get_companyTextbox() {
      return build_companyTextbox();
    }
    private com.github.gwtbootstrap.client.ui.TextBox build_companyTextbox() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.TextBox companyTextbox = (com.github.gwtbootstrap.client.ui.TextBox) GWT.create(com.github.gwtbootstrap.client.ui.TextBox.class);
      // Setup section.
      companyTextbox.setId("company");
      companyTextbox.setTitle("User's company");
      companyTextbox.setAlternateSize(com.github.gwtbootstrap.client.ui.constants.AlternateSize.LARGE);
      companyTextbox.setPlaceholder("Company");
      companyTextbox.addKeyUpHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames5);

      this.owner.companyTextbox = companyTextbox;

      return companyTextbox;
    }

    /**
     * Getter for domId12Element called 2 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId12Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId12Element() {
      return domId12Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId12Element() {
      // Creation section.
      domId12Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId12());
      // Setup section.

      return domId12Element;
    }

    /**
     * Getter for domId11Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId11Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId11Element() {
      return domId11Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId11Element() {
      // Creation section.
      domId11Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId11());
      // Setup section.

      return domId11Element;
    }

    /**
     * Getter for domId13 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId13;
    private java.lang.String get_domId13() {
      return domId13;
    }
    private java.lang.String build_domId13() {
      // Creation section.
      domId13 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId13;
    }

    /**
     * Getter for f_ControlLabel13 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.ControlLabel get_f_ControlLabel13() {
      return build_f_ControlLabel13();
    }
    private com.github.gwtbootstrap.client.ui.ControlLabel build_f_ControlLabel13() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.ControlLabel f_ControlLabel13 = new com.github.gwtbootstrap.client.ui.ControlLabel(template_html10().asString());
      // Setup section.
      f_ControlLabel13.setTitle("Send a notification mail to the user");
      f_ControlLabel13.setFor("sendmail");

      return f_ControlLabel13;
    }

    /**
     * Getter for domId13Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId13Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId13Element() {
      return domId13Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId13Element() {
      // Creation section.
      domId13Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId13());
      // Setup section.

      return domId13Element;
    }

    /**
     * Getter for domId14 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId14;
    private java.lang.String get_domId14() {
      return domId14;
    }
    private java.lang.String build_domId14() {
      // Creation section.
      domId14 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId14;
    }

    /**
     * Getter for f_Controls14 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.Controls get_f_Controls14() {
      return build_f_Controls14();
    }
    private com.github.gwtbootstrap.client.ui.Controls build_f_Controls14() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Controls f_Controls14 = new com.github.gwtbootstrap.client.ui.Controls(template_html11().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Controls14.getElement());

        get_domId15Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Controls14.addAndReplaceElement(get_sendMailCheckbox(), get_domId15Element().get());

      return f_Controls14;
    }

    /**
     * Getter for domId15 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 6.
     */
    private java.lang.String domId15;
    private java.lang.String get_domId15() {
      return domId15;
    }
    private java.lang.String build_domId15() {
      // Creation section.
      domId15 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId15;
    }

    /**
     * Getter for sendMailCheckbox called 1 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.github.gwtbootstrap.client.ui.CheckBox get_sendMailCheckbox() {
      return build_sendMailCheckbox();
    }
    private com.github.gwtbootstrap.client.ui.CheckBox build_sendMailCheckbox() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.CheckBox sendMailCheckbox = (com.github.gwtbootstrap.client.ui.CheckBox) GWT.create(com.github.gwtbootstrap.client.ui.CheckBox.class);
      // Setup section.
      sendMailCheckbox.setId("sendmail");
      sendMailCheckbox.setTitle("Send a notification mail to the user");
      sendMailCheckbox.setChecked(true);

      this.owner.sendMailCheckbox = sendMailCheckbox;

      return sendMailCheckbox;
    }

    /**
     * Getter for domId15Element called 2 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId15Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId15Element() {
      return domId15Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId15Element() {
      // Creation section.
      domId15Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId15());
      // Setup section.

      return domId15Element;
    }

    /**
     * Getter for domId14Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId14Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId14Element() {
      return domId14Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId14Element() {
      // Creation section.
      domId14Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId14());
      // Setup section.

      return domId14Element;
    }

    /**
     * Getter for domId16 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId16;
    private java.lang.String get_domId16() {
      return domId16;
    }
    private java.lang.String build_domId16() {
      // Creation section.
      domId16 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId16;
    }

    /**
     * Getter for f_Controls15 called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.Controls get_f_Controls15() {
      return build_f_Controls15();
    }
    private com.github.gwtbootstrap.client.ui.Controls build_f_Controls15() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Controls f_Controls15 = new com.github.gwtbootstrap.client.ui.Controls(template_html12().asString());
      // Setup section.

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(f_Controls15.getElement());

        get_domId17Element().get();

        // Detach section.
        __attachRecord__.detach();
      }
      f_Controls15.addAndReplaceElement(get_submit(), get_domId17Element().get());

      return f_Controls15;
    }

    /**
     * Getter for domId17 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 6.
     */
    private java.lang.String domId17;
    private java.lang.String get_domId17() {
      return domId17;
    }
    private java.lang.String build_domId17() {
      // Creation section.
      domId17 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId17;
    }

    /**
     * Getter for submit called 1 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.github.gwtbootstrap.client.ui.Button get_submit() {
      return build_submit();
    }
    private com.github.gwtbootstrap.client.ui.Button build_submit() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.Button submit = (com.github.gwtbootstrap.client.ui.Button) GWT.create(com.github.gwtbootstrap.client.ui.Button.class);
      // Setup section.
      submit.setText("Add");
      submit.addStyleName("btn");
      submit.setTitle("Add user");
      submit.setBlock(true);
      submit.setType(com.github.gwtbootstrap.client.ui.constants.ButtonType.PRIMARY);
      submit.addClickHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames1);

      this.owner.submit = submit;

      return submit;
    }

    /**
     * Getter for domId17Element called 2 times. Type: DEFAULT. Build precedence: 6.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId17Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId17Element() {
      return domId17Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId17Element() {
      // Creation section.
      domId17Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId17());
      // Setup section.

      return domId17Element;
    }

    /**
     * Getter for domId16Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId16Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId16Element() {
      return domId16Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId16Element() {
      // Creation section.
      domId16Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId16());
      // Setup section.

      return domId16Element;
    }

    /**
     * Getter for domId18 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId18;
    private java.lang.String get_domId18() {
      return domId18;
    }
    private java.lang.String build_domId18() {
      // Creation section.
      domId18 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId18;
    }

    /**
     * Getter for errorBlock called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.AlertBlock get_errorBlock() {
      return build_errorBlock();
    }
    private com.github.gwtbootstrap.client.ui.AlertBlock build_errorBlock() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.AlertBlock errorBlock = new com.github.gwtbootstrap.client.ui.AlertBlock(template_html13().asString());
      // Setup section.
      errorBlock.setStyleName("" + get_style().blockAlertStyle() + "");
      errorBlock.setAnimation(true);
      errorBlock.setVisible(false);
      errorBlock.setType(com.github.gwtbootstrap.client.ui.constants.AlertType.ERROR);
      errorBlock.setClose(false);

      this.owner.errorBlock = errorBlock;

      return errorBlock;
    }

    /**
     * Getter for domId18Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId18Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId18Element() {
      return domId18Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId18Element() {
      // Creation section.
      domId18Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId18());
      // Setup section.

      return domId18Element;
    }

    /**
     * Getter for domId19 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 5.
     */
    private java.lang.String domId19;
    private java.lang.String get_domId19() {
      return domId19;
    }
    private java.lang.String build_domId19() {
      // Creation section.
      domId19 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId19;
    }

    /**
     * Getter for successBlock called 1 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.github.gwtbootstrap.client.ui.AlertBlock get_successBlock() {
      return build_successBlock();
    }
    private com.github.gwtbootstrap.client.ui.AlertBlock build_successBlock() {
      // Creation section.
      final com.github.gwtbootstrap.client.ui.AlertBlock successBlock = new com.github.gwtbootstrap.client.ui.AlertBlock(template_html14().asString());
      // Setup section.
      successBlock.setStyleName("" + get_style().blockAlertStyle() + "");
      successBlock.setAnimation(true);
      successBlock.setVisible(false);
      successBlock.setType(com.github.gwtbootstrap.client.ui.constants.AlertType.SUCCESS);
      successBlock.setClose(false);

      this.owner.successBlock = successBlock;

      return successBlock;
    }

    /**
     * Getter for domId19Element called 2 times. Type: DEFAULT. Build precedence: 5.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId19Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId19Element() {
      return domId19Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId19Element() {
      // Creation section.
      domId19Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId19());
      // Setup section.

      return domId19Element;
    }

    /**
     * Getter for domId0Element called 2 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId0Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId0Element() {
      return domId0Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId0Element() {
      // Creation section.
      domId0Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId0());
      // Setup section.

      return domId0Element;
    }
  }
}
